Subject: bug#21640: 25.0.50; Fontset-font is never scaled

From: Eli Zaretskii <[email-masked]>
Date: Wed, 07 Oct 2015 18:45:13 +0300

> Date: Wed, 7 Oct 2015 11:52:04 +0100
> From: Artur Malabarba <[email-masked]>
> 
> I have the following snippet in my init file.
> 
> (set-face-attribute 'default nil :height 100
>                     :font "SourceCodePro Medium")
> (set-fontset-font "fontset-default" nil
>                   (font-spec :size 40 :name "Symbola"))
> 
> On my Ubuntu system, this means any characters no supported by the
> main font (SourceCodePro) will displayed in the Symbola font and
> considerably scaled up in size (good).
> 
> On my Arch GNU/Linux system, the same happens, except the Symbola
> characters are not scaled up in size. By inspecting them with C-u C-x
> = I can verify that the Symbola font is indeed being used:
> 
>    xft:-unknown-Symbola-normal-normal-semicondensed-*-13-*-*-*-*-0-iso10646-1
> (#x1BE3)
> 
> Both are compiled from master.

Is the configuration the same, including the font back-ends?

In general, I think you are getting undefined behavior: you specify a
fixed size of 40 pixels, but expect it to be a kind of "relative"
size?  Is that documented somewhere?

(I never used explicit size parameters in fontsets, so maybe I'm
missing something.)